# Type Alias AutoCompleteList

type AutoCompleteList = {
additionalFilter?: {};
filters?: Filter[];
format?: string;
limit?: number;
orders?: { name: string; sort: string }[];
page?: number;
query?: string;
queryFields?: string[];
security?: number;
uriTaxonomy?: string;
}

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:13

##### Index

### Properties

additionalFilter?
filters?
format?
limit?
orders?
page?
query?
queryFields?
security?
uriTaxonomy?

## Properties

### `Optional` additionalFilter

additionalFilter?: {}

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:19

### `Optional` filters

filters?: Filter[]

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:20

### `Optional` format

format?: string

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:18

### `Optional` limit

limit?: number

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:16

### `Optional` orders

orders?: { name: string; sort: string }[]

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:21

### `Optional` page

page?: number

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:17

### `Optional` query

query?: string

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:14

### `Optional` queryFields

queryFields?: string[]

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:15

### `Optional` security

security?: number

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:22

### `Optional` uriTaxonomy

uriTaxonomy?: string

- Defined in jamespot-user-api/src/apis/taxonomy/types.ts:23